package me.paradoxpixel.themepark.gui;

import org.bukkit.inventory.ItemStack;

public class GUIItem {

    private ItemStack item;
    private GUIAction aleft, aright;
    private boolean cleft, cright;

    public GUIItem(ItemStack item, GUIAction action, boolean cancel) {
        this.item = item;
        aleft = aright = action;
        cleft = cright = cancel;
    }

    public GUIItem(ItemStack item, GUIAction aleft, GUIAction aright, boolean cleft, boolean cright) {
        this.item = item;
        this.aleft = aleft;
        this.aright = aright;
        this.cleft = cleft;
        this.cright = cright;
    }

    public ItemStack getItem() {
        return item;
    }

    public boolean hasCancelLeft() {
        return cleft;
    }

    public boolean hasCancelRight() {
        return cright;
    }

    public GUIAction getActionLeft() {
        return aleft;
    }

    public GUIAction getActionRight() {
        return aright;
    }

}
